        d1 = open("nomer")
        getfirst(d1)
        nom = 'Номер_док.'.d1
        close(d1)

        d=open("invmt")
        if Find(d,1,1,nom) != 0 then  goto 900
        sklad='Склад'.d
        gruppa='Группа'.d
        dp=open("plan")
        if Find(dp,1,1,'Счет'.d) != 0
        {   print "Счет "+trim('Счет'.d)+" не найден в плане счетов !"
            close(d)
            close(dp)
            end
        }
        else
        {  if trim('Расчеты'.dp) != "МТ" & trim('Расчеты'.dp) != "мт"
           {   print "По счету "+trim('Счет'.d)+" не ведется количественный учет !"
               close(d)
               close(dp)
               end
           }
        }
        close(dp)

        d1=open(trim('Счет'.d))

        nkol=0
        nkol1=0
        nsum=0
        nsum1=0
        n1="test"
        g="test1"
        m="test2"

        n1=substr(trim('Дата'.d),7,2)
        g=substr(trim('Дата'.d),1,4)

       if substr('Дата'.d,5,2)="01" then m="января"
       if substr('Дата'.d,5,2)="02" then m="февраля"
       if substr('Дата'.d,5,2)="03" then m="марта"
       if substr('Дата'.d,5,2)="04" then m="апреля"
       if substr('Дата'.d,5,2)="05" then m="мая"
       if substr('Дата'.d,5,2)="06" then m="июня"
       if substr('Дата'.d,5,2)="07" then m="июля"
       if substr('Дата'.d,5,2)="08" then m="августа"
       if substr('Дата'.d,5,2)="09" then m="сентября
       if substr('Дата'.d,5,2)="10" then m="октября"
       if substr('Дата'.d,5,2)="11" then m="ноября"
       if substr('Дата'.d,5,2)="12" then m="декабря"
       'Дата1'.d=n1+" "+m+" "+g
       update(d)
rem ------- ЭТО ДЛЯ ЛАЗЕРНОГО ПРИНТЕРА -> print "&k4S(3R&i12D"
print "                          ИНВЕНТАРИЗАЦИОННАЯ ОПИСЬ N ",str('Номер_док.'.d,5,0)
print "                        ТОВАРНО-МАТЕРИАЛЬНЫХ ЦЕННОСТЕЙ"
print "                              ",'Дата1'.d," г."
print ""
print "      ФИО ",sklad
if trim(gruppa) != ""
{
   print "      Субсчет ",gruppa
}
print ""
print "      _______________________________________________________________________________"
print "                      РАСПИСКА"
print "      К началу проведения инвентаризации все расходные и приходные документы на"
print "      товарно-денежные ценности сданы в бухгалтерию и все товарно-материальные"
print "      ценности, поступившие на мою (нашу) ответственность, оприходованы, а выбывшие"
print "      списаны в расход"
print " "
print "      Материально-ответственные лица:"
print " "
print "         _______________             ________________             _______________ "
print "             должность                   подпись                         ИОФ"
print "         _______________             ________________             _______________ "
print "             должность                   подпись                         ИОФ"
print "      На основании приказа (распоряжения) от '____' ______________ 20   г."
print "      ____________ произведено снятие фактических остатков ценностей,"
print "      числящихся на балансовом счете __________________ по состоянию на"
print "      '_____'_____________20   г."
print " "
print "      Инвентаризация: начата '____'______________20   г."
print "                     кончена '____'_____________20  г. "
print "                     При инвентаризации установлено следующее:"
print ""
print "               Инвентаризационная опись ",fldtodate('Дата'.d)
print "      -------------------------------------------------------------------------------------------------------------------------"
print "      |    |                                     |          |    |            |    Фактич. наличие    |    Данные бух.учета   |"
print "      | п/н|            Наименование             |   Код    |Ед. |    Цена    |------------------------------------------------"
print "      |    |                                     |          |изм.|            |  Кол-во  |    Сумма   |  Кол-во  |    Сумма   |"
print "      -------------------------------------------------------------------------------------------------------------------------"

     fkol = 0.0
     fsum = 0.0
     j = 1
     for i = 1 to size(d1)
        if i = 1 then getfirst(d1)
        if i > 1 then getnext(d1)

        if 'Склад'.d1 != sklad then goto 100
        if trim(gruppa) != "" & 'Группа'.d1 != gruppa then goto 100
        
        s1 = 'Нач.кол-во'.d1+'Откл.кол.'.d1
        s2 = 'Нач.сумма'.d1+'Откл.сум.'.d1
        s3 = 'Нач.кол-во'.d1
        s4 = 'Нач.сумма'.d1
        if s1 != 0.0 | s2 != 0.0 | s3 != 0.0 | s4 != 0.0
        {
           print "      |",str(j,4,0),"|",'Название'.d1,"|",'Субсчет'.d1,"|",'Ед.изм.'.d1,"|",str('Цена'.d1,12,2),"|",str(s1,10,3),"|",str(s2,12,2),"|",str(s3,10,3),"|",str(s4,12,2),"|"
           j = j + 1
        }
        nkol='Нач.кол-во'.d1
        nkol1=nkol1+nkol
        nsum='Нач.сумма'.d1
        nsum1=nsum1+nsum
        fkol = fkol + 'Нач.кол-во'.d1+'Откл.кол.'.d1
        fsum = fsum + 'Нач.сумма'.d1+'Откл.сум.'.d1
100  next

print "      -------------------------------------------------------------------------------------------------------------------------"
print "      |    |Итого по отчету                      |          |    |            |",str(fkol,10,3),"|",str(fsum,12,2),"|",str(nkol1,10,3),"|",str(nsum1,12,2),"|"
print "      -------------------------------------------------------------------------------------------------------------------------"
print ""
print ""
print "     Общее количество единиц фактически: "+substr(spro(fkol),1,strlen(spro(fkol))-17)+" единиц."
print " "
print "     Итого фактически по описи руб.: "+spro(fsum)
print " "
print "      Председатель комиссии _______________         ________________          _______________"
print "                               должность                 подпись                    ИОФ"
print "      Члены комиссии:       _______________         ________________          _______________ "
print "                               должность                 подпись                    ИОФ"
print "                            _______________         ________________          _______________ "
print "                               должность                 подпись                    ИОФ"
print "                            _______________         ________________           _______________ "
print "                               должность                 подпись                    ИОФ"
print ""
print "      Все ценности, поименованные в настоящей инвентаризационной описи"
print "      с _______ по _______комиссией проверены в натуре в моем (нашем)"
print "      присутствии и внесены в опись, в связи с чем претензий к инвента-"
print "      ризационной комиссии не имею (не имеем). Ценности, перечисленные"
print "      в описи, находятся на моем (нашем) ответственном хранении."
print " "
print "      Материально-ответственное лицо (лица)"
print "      '____'_____________20   г."
print "      Указанные в настоящей описи данные и подсчеты проверил"
print "      _________________                             _______________"
print "         должность                                      подпись"
print "      '____'____________20   г."
print ""
print ""

    close(d1)
900 close(d)

end
